SessionHandler::destroy
SessionHandler::open
SessionHandler
PHP Manual

# SessionHandler::gc

Cleanup old sessions

### Description

public bool SessionHandler::gc ( int `$maxlifetime` )

Cleans up expired sessions. Called randomly by PHP internally when a session starts or when session_start is invoked. The frequency this is called is based on the session.gc_divisor and session.gc_probability configuration directives.

This method wraps the internal PHP save handler defined in the session.save_handler ini setting that was set before this handler was set by session_set_save_handler.

If this class is extended by inheritiance, calling the parent `gc` method will invoke the wrapper for this method and therefor invoke the associated internal callback. This allows this method to be overidden and or intercepted and filtered.

For more information on what this method is expected to do, please refer to the documentation at SessionHandlerInterface::gc.

### Parameters

`maxlifetime`

  Sessions that have not updated for the last `maxlifetime` seconds will be removed.

### Return Values

The return value (usually `TRUE` on success, `FALSE` on failure). Note this value is returned internally to PHP for processing.